%define upstream_name    Net-DBus-GLib
%define upstream_version 0.33.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Perl extension for the DBus GLib bindings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Net::DBus)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop, simply
get a connection to the bus via the methods in the Net::DBus::GLib manpage
rather than the usual the Net::DBus manpage module. That's it - every other
API remains the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(\s+)GLib:/$1Glib:/' META.yml.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE AUTHORS CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.33.0-22.mga8
+ Revision: 1596056
- Rebuild for perl 5.32
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.33.0-20.mga8
+ Revision: 1529999
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.33.0-19.mga8
+ Revision: 1433848
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.33.0-18.mga7
+ Revision: 1293540
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.33.0-17.mga7
+ Revision: 1249795
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.33.0-16.mga7
+ Revision: 1165841
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.33.0-15.mga7
+ Revision: 1149862
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.33.0-14.mga7
+ Revision: 1126557
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.33.0-13.mga6
+ Revision: 1031057
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.33.0-12.mga6
+ Revision: 957781
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.33.0-11.mga6
+ Revision: 845044
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.33.0-10.mga6
+ Revision: 842335
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.33.0-9.mga5
+ Revision: 746868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.33.0-8.mga5
+ Revision: 685636
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.33.0-7.mga5
+ Revision: 632415
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.33.0-6.mga4
+ Revision: 524934
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.33.0-5.mga4
+ Revision: 431671
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.33.0-4.mga4
+ Revision: 431249
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.33.0-3.mga3
+ Revision: 370519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.33.0-2.mga3
+ Revision: 250984
- rebuild for perl 5.16

* Tue Jul 05 2011 jquelin <jquelin> 0.33.0-1.mga2
+ Revision: 118816
- update buildrequires:
- adding missing buildrequires
- imported package perl-Net-DBus-GLib

